## olpc-kbdshim 27

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 
 PACKAGE=olpc-kbdshim
-VERSION=25
+VERSION=27
 
 FDIST=fc15
