=== debian/changelog ===
olpc-kbdshim (27-3) unstable; urgency=medium

  * QA upload.
  * Import package history into GIT.
  * Tune (Pre-)Depends.
  * Do not omit hardening flags.
  * Update Lintian overrides.
  * Add upstream metadata, Homepage and watch file.
  * Work around struct input_event.time kernel api change.  (Closes: #1069440)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 16:05:16 +0200

olpc-kbdshim (27-2) unstable; urgency=low

  * Orphaning this package. I no longer own any OLPC hardware.
  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Set source package format to 3.0.
  * Update debian/copyright for DEP5.
  * Depend on lsb-base.

 -- Andres Salomon <dilinger@debian.org>  Sat, 04 Dec 2021 22:06:04 +0000

olpc-kbdshim (27-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 02 Jun 2012 04:38:57 +0000

olpc-kbdshim (25-1) unstable; urgency=high

  * New upstream release.
  * Drop olpc-kbdshim-hal (closes: #613198, #665589).
  * Drop olpc-kbdshim-common, and just use a single olpc-kbdshim package
    (which uses the olpc-kbdshim-udev binary).
  * Update copyright file.
  * Add -A to default daemon args.
  * Make init script load the olpc_dcon module (as that has the sysfs
    backlight controls on OLPC devices).

 -- Andres Salomon <dilinger@debian.org>  Fri, 30 Mar 2012 19:42:27 +0000

olpc-kbdshim (12-3) unstable; urgency=high

  * Init script should check /proc/device-tree/model rather than /ofw/model,
    as that's where the upstream kernel places the device tree.  Last minute
    fix for squeeze.

 -- Andres Salomon <dilinger@debian.org>  Sat, 11 Dec 2010 03:25:27 +0000

olpc-kbdshim (12-2) unstable; urgency=low

  * Fix a buglet w/ kbdshim-hal not starting correctly.
  * Bail out of the kbdshim init script early if not on an XO.
  * Bump the standards-version.
  * Fix some lintian errors.

 -- Andres Salomon <dilinger@debian.org>  Sat, 17 Apr 2010 23:09:49 +0000

olpc-kbdshim (12-1) unstable; urgency=low

  * Initial release.

 -- Andres Salomon <dilinger@debian.org>  Sat, 17 Apr 2010 00:39:17 +0000
