=== debian/control ===
Source: olpc-kbdshim
Section: admin
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libudev-dev
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Homepage: https://dev.laptop.org/git/users/pgf/olpc-kbdshim
Vcs-Browser: https://salsa.debian.org/debian/olpc-kbdshim
Vcs-Git: https://salsa.debian.org/debian/olpc-kbdshim.git

Package: olpc-kbdshim
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 udev,
 ${shlibs:Depends},
 ${misc:Depends},
Provides: olpc-kdbshim-hal, olpc-kbdshim-common
Conflicts: olpc-kbdshim-hal, olpc-kbdshim-common
Replaces: olpc-kbdshim-hal, olpc-kbdshim-common
Description: OLPC XO keyboard support daemon
 The olpc-kbdshim daemon is used to handle keyboard events on the somewhat
 unique OLPC XO hardware.  It does this by monitoring the keyboard and
 touchpad, enabling the XO "grab" keys and touchpad rotation (to match
 screen rotation), and reporting user (in)activity.  It can also bind the XO
 screen rotate, brightness, and volume keys to appropriate commands (which are
 provided).
