=== debian/watch ===
version=4
https://dev.laptop.org/git/users/pgf/olpc-kbdshim/refs/tags \
  (?:.*?/)?olpc-kbdshim-(\d[\d.]*)\.tar\.bz2
